osgText::GlyphGeometry Class Reference

`#include <Glyph>`

Inheritance diagram for osgText::GlyphGeometry:

## Public Member Functions

| GlyphGeometry ()
void | setup (const Glyph3D *glyph, const Style *style)
bool | match (const Style *style) const
osg::Geode * | getGeode () const
osg::Geometry * | getGeometry () const
void | setVertexArray (osg::Vec3Array *va)
osg::Vec3Array * | getVertexArray () const
void | setNormalArray (osg::Vec3Array *na)
osg::Vec3Array * | getNormalArray () const
osg::Geometry::PrimitiveSetList & | getFrontPrimitiveSetList ()
osg::Geometry::PrimitiveSetList & | getWallPrimitiveSetList ()
osg::Geometry::PrimitiveSetList & | getBackPrimitiveSetList ()
virtual void | setThreadSafeRefUnref (bool threadSafe)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

osg::ref_ptr< Style > | _style
osg::ref_ptr< osg::Geode > | _geode
osg::ref_ptr< osg::Geometry > | _geometry
osg::ref_ptr< osg::Vec3Array > | _vertices
osg::ref_ptr< osg::Vec3Array > | _normals
osg::Geometry::PrimitiveSetList | _frontPrimitiveSetList
osg::Geometry::PrimitiveSetList | _wallPrimitiveSetList
osg::Geometry::PrimitiveSetList | _backPrimitiveSetList
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Constructor & Destructor Documentation

## GlyphGeometry()

osgText::GlyphGeometry::GlyphGeometry | ( |  | ) |

## Member Function Documentation

## getBackPrimitiveSetList()

osg::Geometry::PrimitiveSetList & osgText::GlyphGeometry::getBackPrimitiveSetList | ( |  | ) |

inline

Get et the PrimitiveSetList for the back face.

References _backPrimitiveSetList.

## getFrontPrimitiveSetList()

osg::Geometry::PrimitiveSetList & osgText::GlyphGeometry::getFrontPrimitiveSetList | ( |  | ) |

inline

Get the PrimitiveSetList for the front face.

References _frontPrimitiveSetList.

## getGeode()

osg::Geode * osgText::GlyphGeometry::getGeode | ( |  | ) | const

inline

References _geode.

## getGeometry()

osg::Geometry * osgText::GlyphGeometry::getGeometry | ( |  | ) | const

inline

References _geometry.

## getNormalArray()

osg::Vec3Array * osgText::GlyphGeometry::getNormalArray | ( |  | ) | const

inline

Get the NormalArray for the wall face.

References _normals.

## getVertexArray()

osg::Vec3Array * osgText::GlyphGeometry::getVertexArray | ( |  | ) | const

inline

Get the VertexArray of the glyph.

References _vertices.

## getWallPrimitiveSetList()

osg::Geometry::PrimitiveSetList & osgText::GlyphGeometry::getWallPrimitiveSetList | ( |  | ) |

inline

Get the PrimitiveSetList for the wall face.

References _wallPrimitiveSetList.

## match()

bool osgText::GlyphGeometry::match | ( | const Style * | style | ) | const

## setNormalArray()

void osgText::GlyphGeometry::setNormalArray | ( | osg::Vec3Array * | na | ) |

inline

Set the VertexArray of the glyph.

References _normals.

## setThreadSafeRefUnref()

virtual void osgText::GlyphGeometry::setThreadSafeRefUnref | ( | bool | threadSafe | ) |

virtual

Set whether to use a mutex to ensure ref() and unref() are thread safe.

Reimplemented from osg::Referenced.

## setup()

void osgText::GlyphGeometry::setup | ( | const Glyph3D * | glyph,
|  | const Style * | style )

## setVertexArray()

void osgText::GlyphGeometry::setVertexArray | ( | osg::Vec3Array * | va | ) |

inline

Set the VertexArray of the glyph.

References _vertices.

## Member Data Documentation

## _backPrimitiveSetList

osg::Geometry::PrimitiveSetList osgText::GlyphGeometry::_backPrimitiveSetList

protected

Referenced by getBackPrimitiveSetList().

## _frontPrimitiveSetList

osg::Geometry::PrimitiveSetList osgText::GlyphGeometry::_frontPrimitiveSetList

protected

Referenced by getFrontPrimitiveSetList().

## _geode

osg::ref_ptr<osg::Geode> osgText::GlyphGeometry::_geode

protected

Referenced by getGeode().

## _geometry

osg::ref_ptr<osg::Geometry> osgText::GlyphGeometry::_geometry

protected

Referenced by getGeometry().

## _normals

osg::ref_ptr<osg::Vec3Array> osgText::GlyphGeometry::_normals

protected

Referenced by getNormalArray(), and setNormalArray().

## _style

osg::ref_ptr<Style> osgText::GlyphGeometry::_style

protected

## _vertices

osg::ref_ptr<osg::Vec3Array> osgText::GlyphGeometry::_vertices

protected

Referenced by getVertexArray(), and setVertexArray().

## _wallPrimitiveSetList

osg::Geometry::PrimitiveSetList osgText::GlyphGeometry::_wallPrimitiveSetList

protected

Referenced by getWallPrimitiveSetList().

The documentation for this class was generated from the following file:

- Glyph